"""
Product authorization service.

Given a product locator and a user principal, returns whether the user has access to this product or not.
"""
from pyramid.view import view_config


@view_config(route_name='product_authorization_service', renderer='json')
def product_authorization_service(request):
    # obtain the product locator from the request and pass it along
    return authorized(request.params.get('locator'), request.params.get('principal'))


def authorized(locator, principal):
    return True
